#
# Makefile for iscc_cs
# Koji OKAMURA <oka@kobe-u.ac.jp>
#

include ../config.mk

CFLAGS = -O2 -Wall -Wstrict-prototypes -Winline -pipe 

CPPFLAGS = $(PCDEBUG) -D__KERNEL__ -DMODULE -I../include \
	   -I$(LINUX)/include -I$(LINUX) -I$(LINUX)/drivers/char \
	   # -DMODVERSIONS
	   
all: iscc_cs.o

iscc_cs.o:  iscc_subr.o iscc_v4l.o
	$(LD) -r -o iscc_cs.o iscc_subr.o iscc_v4l.o
	chmod -x iscc_cs.o

iscc_subr.o: iscc_subr.c
	$(CC) -c $(CFLAGS) $(CPPFLAGS) iscc_subr.c

iscc.o: iscc.c
	$(CC) -c $(CFLAGS) $(CPPFLAGS) iscc.c

iscc_v4l.o: iscc_v4l.c
	$(CC) -c $(CFLAGS) $(CPPFLAGS) iscc_v4l.c


